Subject: RFC 3041/4941, "Privacy Extensions for Stateless Address Auto configuration in IPv6"

From: Prakasha Shetty <[email-masked]>
Date: Fri, 12 Jun 2009 18:06:07 +0530

Hi,

By having this feature of generating temporary address and make that address
for new client connections, which are all features/tools (ex : tcpdump,
router tools etc ) are affected and in what manner ?

Thanks &
Regards
Prakash

---

From: Rémi Denis-Courmont <[email-masked]>
Date: Fri, 12 Jun 2009 14:49:40 +0200

On Fri, 12 Jun 2009 18:06:07 +0530, Prakasha Shetty
<[email-masked]> wrote:
> By having this feature of generating temporary address and make that
> address for new client connections, which are all features/tools (ex :
> tcpdump, router tools etc ) are affected and in what manner ?

That is a matter of implementation and use cases. I think the 6man mailing
list is not the right venue to discuss this.

-- 
Rémi Denis-Courmont

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 16 Jun 2009 18:13:13 -0400

Hi Prakash,
   The privacy addresses are no different than any other unicast 
addresses. The only impact may be on routers performing ingress 
filtering as described in section 7 of RFC4941.

Cheers
Suresh

On 09-06-12 08:36 AM, Prakasha Shetty wrote:
> ------------------------------------------------------------------------
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: "Dunn, Jeffrey H." <[email-masked]>
Date: Wed, 17 Jun 2009 13:02:04 -0400

Prakash and Suresh,

Another consideration when using privacy addresses is that it is unwieldy to use DDNS map them to an FQDN. Since they are to be private, this may not be an issue.

Best Regards, 
  
Jeffrey Dunn 
Info Systems Eng., Lead 
MITRE Corporation.
(301) 448-6965 (mobile)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Suresh Krishnan
Sent: Tuesday, June 16, 2009 6:13 PM
To: Prakasha Shetty
Cc: [email-masked]
Subject: Re: RFC 3041/4941, "Privacy Extensions for Stateless Address Auto configuration in IPv6"

Hi Prakash,

Cheers
Suresh